KDesktopFile class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDesktopFile Class Reference

KDE Desktop File Management. KDE Desktop File Management class. More...

`#include <kdesktopfile.h>`

Inheritance diagram for KDesktopFile:

[legend]
Collaboration diagram for KDesktopFile:

[legend]
List of all members.

## Public Member Functions
| KDesktopFile (const QString &fileName, bool readOnly=false, const char *resType="apps")
| Constructs a KDesktopFile object and make it either read-write or read-only.
virtual | ~KDesktopFile ()
| Destructs the KDesktopFile object.
QString | readType () const
| Returns the value of the "Type=" entry.
QString | readIcon () const
| Returns the value of the "Icon=" entry.
QString | readName () const
| Returns the value of the "Name=" entry.
QString | readComment () const
| Returns the value of the "Comment=" entry.
QString | readGenericName () const
| Returns the value of the "GenericName=" entry.
QString | readPath () const
| Returns the value of the "Path=" entry.
QString | readDevice () const
| Returns the value of the "Dev=" entry.
QString | readURL () const
| Returns the value of the "URL=" entry.
QStringList | readActions () const
| Returns a list of the "Actions=" entries.
void | setActionGroup (const QString &group)
| Sets the desktop action group.
bool | hasActionGroup (const QString &group) const
| Returns true if the action group exists, false otherwise.
bool | hasLinkType () const
| Checks whether there is a "Type=Link" entry.
bool | hasApplicationType () const
| Checks whether there is an entry "Type=Application".
bool | hasMimeTypeType () const
| Checks whether there is an entry "Type=MimeType".
bool | hasDeviceType () const
| Checks whether there is an entry "Type=FSDev".
bool | tryExec () const
| Checks whether the TryExec field contains a binary which is found on the local system.
QString | fileName () const
| Returns the file name.
QString | resource () const
| Returns the resource.
QString | readDocPath () const
| Returns the value of the "DocPath=" entry.
QStringList | sortOrder () const
| Returns the entry of the "SortOrder=" entry.
QString | filename () const
| This class or method is obsolete, it is provided for compatibility only. Use
## Static Public Member Functions
bool | isDesktopFile (const QString &path)
| Checks whether this is really a desktop file.
bool | isAuthorizedDesktopFile (const QString &path)
| Checks whether the user is authorized to run this desktop file.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

KDE Desktop File Management. KDE Desktop File Management class.

Author:
  Pietro Iglio <iglio@kde.org>

Version:
  Id
    kdesktopfile.h,v 1.30 2002/09/28 12:28:47 tjansen Exp

See also:
  KConfigBase KConfig

Definition at line 36 of file kdesktopfile.h.

## Constructor & Destructor Documentation

KDesktopFile::KDesktopFile | ( | const QString & | fileName,
|  | bool | readOnly = false,
|  | const char * | resType = "apps"
| ) |

  | Constructs a KDesktopFile object and make it either read-write or read-only. Parameters:
  fileName | The name or path of the desktop file. If it is not absolute, it will be located using the resource type `resType`.
  readOnly | Whether the object should be read-only.
  resType | Allows you to change what sort of resource to search for if `fileName` is not absolute. For instance, you might want to specify "config".
Definition at line 38 of file kdesktopfile.cpp. References KConfigBase::backEnd, KConfigBackEnd::changeFileName(), KConfig::reparseConfiguration(), KConfigBase::setDesktopGroup(), and KConfigBase::setReadOnly().

KDesktopFile::~KDesktopFile | ( |  | ) | `[virtual]`

| Destructs the KDesktopFile object. Writes back any dirty configuration entries. Definition at line 51 of file kdesktopfile.cpp.

## Member Function Documentation

bool KDesktopFile::isDesktopFile | ( | const QString & | path | ) | `[static]`

  | Checks whether this is really a desktop file. The check is performed looking at the file extension (the file is not opened). Currently, valid extensions are ".kdelnk" and ".desktop". Parameters:
  path | the path of the file to check
Returns: true if the file appears to be a desktop file. Definition at line 56 of file kdesktopfile.cpp. References QString::fromLatin1(), QString::length(), and QString::right().

bool KDesktopFile::isAuthorizedDesktopFile | ( | const QString & | path | ) | `[static]`

  | Checks whether the user is authorized to run this desktop file. By default users are authorized to run all desktop files but the KIOSK framework can be used to activate certain restrictions. See README.kiosk for more information. Parameters:
  path | the file to check
Returns: true if the user is authorized to run the file Since: 3.1 Definition at line 68 of file kdesktopfile.cpp. References KGlobal::dirs(), QString::isEmpty(), KStandardDirs::relativeLocation(), and QString::startsWith().

QString KDesktopFile::readType | ( |  | ) | const

| Returns the value of the "Type=" entry. Returns: the type or QString::null if not specified Definition at line 91 of file kdesktopfile.cpp. References KConfigBase::readEntry().

QString KDesktopFile::readIcon | ( |  | ) | const

| Returns the value of the "Icon=" entry. Returns: the icon or QString::null if not specified Definition at line 96 of file kdesktopfile.cpp. References KConfigBase::readEntry().

QString KDesktopFile::readName | ( |  | ) | const

| Returns the value of the "Name=" entry. Returns: the name or QString::null if not specified Definition at line 101 of file kdesktopfile.cpp. References KConfigBase::readEntry().

QString KDesktopFile::readComment | ( |  | ) | const

| Returns the value of the "Comment=" entry. Returns: the comment or QString::null if not specified Definition at line 106 of file kdesktopfile.cpp. References KConfigBase::readEntry().

QString KDesktopFile::readGenericName | ( |  | ) | const

| Returns the value of the "GenericName=" entry. Returns: the generic name or QString::null if not specified Definition at line 111 of file kdesktopfile.cpp. References KConfigBase::readEntry().

QString KDesktopFile::readPath | ( |  | ) | const

| Returns the value of the "Path=" entry. Returns: the path or QString::null if not specified This class or method is obsolete, it is provided for compatibility only. Definition at line 116 of file kdesktopfile.cpp. References KConfigBase::readPathEntry().

QString KDesktopFile::readDevice | ( |  | ) | const

| Returns the value of the "Dev=" entry. Returns: the device or QString::null if not specified Definition at line 121 of file kdesktopfile.cpp. References KConfigBase::readEntry(). Referenced by readURL().

QString KDesktopFile::readURL | ( |  | ) | const

| Returns the value of the "URL=" entry. Returns: the URL or QString::null if not specified Definition at line 126 of file kdesktopfile.cpp. References QFile::close(), QFile::exists(), QString::fromLatin1(), hasDeviceType(), QString::isEmpty(), QCString::isEmpty(), QFile::open(), readDevice(), QTextStream::readLine(), KConfigBase::readPathEntry(), QTextStream::setEncoding(), KURL::setPath(), QString::simplifyWhiteSpace(), QStringList::split(), and KURL::url().

QStringList KDesktopFile::readActions | ( |  | ) | const

| Returns a list of the "Actions=" entries. Returns: the list of actions Definition at line 176 of file kdesktopfile.cpp. References KConfigBase::readListEntry().

void KDesktopFile::setActionGroup | ( | const QString & | group | ) |

  | Sets the desktop action group. Parameters:
  the | new action group
Definition at line 181 of file kdesktopfile.cpp. References QString::fromLatin1(), and KConfigBase::setGroup().

bool KDesktopFile::hasActionGroup | ( | const QString & | group | ) | const

  | Returns true if the action group exists, false otherwise. Parameters:
  the | action group to test
Returns: true if the action group exists Definition at line 186 of file kdesktopfile.cpp. References QString::fromLatin1(), and KConfigBase::hasGroup().

bool KDesktopFile::hasLinkType | ( |  | ) | const

| Checks whether there is a "Type=Link" entry. The link points to the "URL=" entry. Returns: true if there is a "Type=Link" entry Definition at line 191 of file kdesktopfile.cpp. References QString::fromLatin1(), and KConfigBase::readEntry().

bool KDesktopFile::hasApplicationType | ( |  | ) | const

| Checks whether there is an entry "Type=Application". Returns: true if there is a "Type=Application" entry Definition at line 196 of file kdesktopfile.cpp. References QString::fromLatin1(), and KConfigBase::readEntry().

bool KDesktopFile::hasMimeTypeType | ( |  | ) | const

| Checks whether there is an entry "Type=MimeType". Returns: true if there is a "Type=MimeType" entry Definition at line 201 of file kdesktopfile.cpp. References QString::fromLatin1(), and KConfigBase::readEntry().

bool KDesktopFile::hasDeviceType | ( |  | ) | const

| Checks whether there is an entry "Type=FSDev". Returns: true if there is a "Type=FSDev" entry Definition at line 206 of file kdesktopfile.cpp. References QString::fromLatin1(), and KConfigBase::readEntry(). Referenced by readURL().

bool KDesktopFile::tryExec | ( |  | ) | const

| Checks whether the TryExec field contains a binary which is found on the local system. Returns: true if TryExec contains an existing binary Definition at line 212 of file kdesktopfile.cpp. References QFile::decodeName(), QFile::encodeName(), QString::isEmpty(), KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readListEntry(), KConfigBase::readPathEntry(), and QStringList::split().

QString KDesktopFile::fileName | ( |  | ) | const

| Returns the file name. Returns: The filename as passed to the constructor. Definition at line 273 of file kdesktopfile.cpp. References KConfigBase::backEnd, and KConfigBackEnd::fileName(). Referenced by filename().

QString KDesktopFile::resource | ( |  | ) | const

| Returns the resource. Returns: The resource type as passed to the constructor. Definition at line 279 of file kdesktopfile.cpp. References KConfigBase::backEnd, and KConfigBackEnd::resource().

QString KDesktopFile::readDocPath | ( |  | ) | const

| Returns the value of the "DocPath=" entry. Returns: The value of the "DocPath=" entry. Since: 3.1 Definition at line 290 of file kdesktopfile.cpp. References KConfigBase::readPathEntry().

QStringList KDesktopFile::sortOrder | ( |  | ) | const

| Returns the entry of the "SortOrder=" entry. Returns: the value of the "SortOrder=" entry. Definition at line 282 of file kdesktopfile.cpp. References KConfigBase::readListEntry().

QString KDesktopFile::filename | ( |  | ) | const`[inline]`

| This class or method is obsolete, it is provided for compatibility only. Use See also: fileName() instead. Definition at line 218 of file kdesktopfile.h. References fileName().

The documentation for this class was generated from the following files:

- kdesktopfile.h
- kdesktopfile.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:48:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001